Subject: Re: [PATCH net-next] xfrm: removes a superfluous check and add a statistic

From: Steffen Klassert <[email-masked]>
Date: Wed, 2 Jan 2013 12:13:29 +0100

On Fri, Dec 28, 2012 at 03:22:35PM -0800, David Miller wrote:
> From: [email-masked]
> Date: Fri, 28 Dec 2012 16:06:28 +0800
> 
> > From: Li RongQing <[email-masked]>
> > 
> > Remove the check if x->km.state equal to XFRM_STATE_VALID in
> > xfrm_state_check_expire(), which will be done before call
> > xfrm_state_check_expire().
> > 
> > add a LINUX_MIB_XFRMOUTSTATEINVALID statistic to record the
> > outbound error due to invalid xfrm state.
> > 
> > Signed-off-by: Li RongQing <[email-masked]>
> 
> I'll let Steffen pick this up when he returns from his holiday
> break.

I'll take care of all the pending IPsec patches once I'm back
at office on monday.

Thanks for your patience.